Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request DELETE \ --url https://api.shelv.dev/v1/shelves/{id} \ --header 'Authorization: Bearer <token>'
import requests url = "https://api.shelv.dev/v1/shelves/{id}" headers = {"Authorization": "Bearer <token>"} response = requests.delete(url, headers=headers) print(response.text)
const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}}; fetch('https://api.shelv.dev/v1/shelves/{id}', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
{ "success": true }
{ "code": "<string>", "message": "<string>", "details": "<unknown>" }
Permanently delete a shelf and all its associated storage objects.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Bearer <token>
<token>
^shf_[0-9a-f]{24}$
Shelf deleted